
package com.mortals.xhx.queue.provider;

import com.mortals.xhx.queue.TbQueueConsumer;
import com.mortals.xhx.queue.TbQueueMsg;
import com.mortals.xhx.queue.TbQueueProducer;

public interface TbCoreQueueFactory {

    /**
     * 消息生产者
     * @return
     */
    TbQueueProducer<TbQueueMsg> createMsgProducer();

    /**
     * 消息消费服务
     * @return
     */
    TbQueueConsumer<TbQueueMsg> createMsgConsumer();

}
