package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.springcloud.service.IApplicationStartedService;
import com.mortals.xhx.queue.TbQueueProducer;
import com.mortals.xhx.queue.TopicPartitionInfo;
import com.mortals.xhx.queue.provider.TbQueueProducerProvider;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
//@ConditionalOnProperty(name="com.mortal",prefix = "",havingValue = "xxx")
public class DemoStartedService implements IApplicationStartedService {
    
    private static Log logger = LogFactory.getLog(DemoStartedService.class);

    @Autowired
    private TbQueueProducerProvider tbQueueProducerProvider;

    @Override
    public void start() {

    //    TopicPartitionInfo topicPartitionInfo = new TopicPartitionInfo();


       // new Default

       // tbQueueProducerProvider.getTbCoreMsgProducer().send(topicPartitionInfo,);

        logger.info("开始服务..[配置已加载完成，并且所有框架都已经初始化]");

    }

    @Override
    public void stop() {
        logger.info("停止服务..");
    }

    @Override
    public int getOrder() {
        return 10;
    }

}
